# $Revision: 1.52 $, $Date: 2002/04/30 22:52:51 $
Summary:	GNU's bc (a numeric processing language) and dc (a calculator)
Summary(de):	GNUs bc (eine Zahlenverarbeitungssprache) und dc (ein Rechner)
Summary(es):	GNU bc - calculadora de lnea de comando
Summary(fr):	GNU bc
Summary(pl):	GNU bc (jzyk oblicze numerycznych) i dc (kalkulator)
Summary(pt_BR):	GNU bc - calculadora de linha de comando
Summary(ru):	GNU bc (  )  dc ()
Summary(tr):	GNU hesap makinas
Summary(uk):	GNU bc (  )  dc ()
Name:		bc
Version:	1.06
Release:	9
License:	GPL
Group:		Applications/Math
Source0:	ftp://ftp.gnu.org/pub/gnu/bc/%{name}-%{version}.tar.gz
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
Patch0:		%{name}-info.patch
Patch1:		%{name}-readline.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	readline-devel >= 4.2
BuildRequires:	flex
BuildRequires:	bison
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The bc package includes bc and dc. Bc is an arbitrary precision
numeric processing arithmetic language. Dc is an interactive arbitrary
precision stack based calculator, which can be used as a text mode
calculator. Install the bc package if you need its number handling
capabilities or if you would like to use its text mode calculator.

%description -l de
Das bc-Paket enthlt bc und dc. Bc ist eine Zahlenverarbeitungssprache
mit beliebiger Genauigkeit. Dc ist ein interaktiver, Stapelbasierter
Rechner mit beliebiger Genauigkeit, der im Textmodus benutzt werden
kann. Installieren Sie bc, wenn Sie seine
Zahlenverarbeitungsfhigkeiten brauchen, oder wenn Sie einen
Textmodus-Rechner haben wollen.

%description -l pt_BR
bc  uma calculadora modo texto. Ela possui vrias caractersticas
estendidas como translao de base.

%description -l es
bc es una calculadora modo texto. Posee varias caractersticas
extendidas como translacin de base.

%description -l fr
bc est est un outil de calcul en mode texte. Il a des fonctionnalits
tendues comme la conversion de base. il peut aussi accepter l'entre
sur stdin et retourner le rsultat. dc est la version RPN.

%description -l pl
Pakiet bc zawiera w sobie programy bc i dc. Bc jest oferuje jzyk
oblicze numerycznych w ktrym mona okreli precyzj oblicze. Dc
jest natomiast interakcyjnym bazujcym na notacji RPN kalkulatorem w
ktrym take mona z gry okreli precyzj oblicze.

%description -l pt_BR
bc  uma calculadora modo texto. Ela possui vrias caractersticas
estendidas como translao de base.

%description -l ru
 bc  bc  dc. Bc -     
  . Dc -   
  ,    
   .

%description -l tr
bc metin ekranda alan bir hesap makinasdr. Taban dnm gibi
ileri yetenekleri vardr.

%description -l uk
 bc ͦ bc  dc. Bc -      
צϧ Ԧ. Dc -    
צϧ Ԧ,      
 ͦ.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
aclocal
autoconf
%configure \
	--with-readline
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar -xf - -C $RPM_BUILD_ROOT%{_mandir}

gzip -9nf AUTHORS ChangeLog FAQ NEWS README

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(ko) %{_mandir}/ko/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%{_infodir}/dc.info*

%clean
rm -rf $RPM_BUILD_ROOT

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: bc.spec,v $
Revision 1.52  2002/04/30 22:52:51  kloczek
- release 9: merge translations ftrom KSI and Conectiva.

Revision 1.51  2002/04/25 15:52:25  arturs
fixed a small typo

Revision 1.50  2002/02/23 01:23:24  kloczek
- adapterized.

Revision 1.49  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.48  2002/01/24 00:12:57  ankry
- added man-pages tar URL

Revision 1.47  2002/01/18 02:12:29  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.46  2001/10/19 11:47:32  ankry
- added es,fi,hu,ja,ko,pl man pages
- Release 8

Revision 1.45  2001/08/04 13:51:02  qboosh
- release 7: fixed info patch

Revision 1.44  2001/07/26 05:42:04  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.42  2001/07/15 10:42:15  kloczek
- release 6,
- bettr readline patch (only remove conflicting readline prototype),
- spec is ac 2.50 ready.

Revision 1.41  2001/04/13 18:27:19  kloczek
- release 5.

Revision 1.40  2001/04/13 16:54:34  wiget
add patch to allow compile with readline 4.2

Revision 1.39  2001/04/12 20:52:19  kloczek
- release 4: rebuild against readline 4.2.

Revision 1.38  2001/01/28 02:51:45  kloczek
- release 3.

Revision 1.37  2000/11/29 05:05:52  kloczek
- bump release to 2.

Revision 1.36  2000/11/18 23:24:44  kloczek
- updated to 1.06,
- removed DESTDIR, longline obsoleted patches,
- simplitications in %install,
- added some %doc.

Revision 1.35  2000/10/11 19:26:30  kloczek
- release 16: use new rpm automation.

Revision 1.34  2000/07/13 23:05:53  baggins
- release 15
- rebuild with ncurses 5.1

Revision 1.33  2000/07/13 20:37:01  baggins
- release 14

Revision 1.32  2000/06/13 05:08:12  kloczek
- release 13,
-addded longline patch from rawhide (coredump on long line in bc/dc).

Revision 1.31  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.30  2000/06/09 07:22:47  kloczek
- added using %%{__make} macro.

Revision 1.29  2000/06/01 01:56:03  kloczek
- release 12.

Revision 1.28  2000/05/24 16:50:44  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.27  2000/05/18 02:01:25  kloczek
- spec adapterized.

Revision 1.26  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.25  2000/04/14 09:09:13  qboosh
- added flex and bison to BuildRequires
- typos

Revision 1.24  2000/04/13 21:55:23  kloczek
- release 11,
- updated Source url.

Revision 1.23  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.21  2000/03/23 08:44:59  kloczek
- release 10,
- spec adapterized,
- build against readline 4.1.

Revision 1.20  1999/11/19 03:08:35  kloczek
- release 9,
- build agains ncurses 5.0.

Revision 1.19  1999/09/16 00:50:24  kloczek
- added BuildRequires rules.

Revision 1.18  1999/09/16 00:47:26  kloczek
- release 8,
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries
  format,
- updated en, de and pl Summary and %description's.

Revision 1.17  1999/07/12 23:05:53  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat May 29 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.05a-7]
- based on RH spec,
- spec rewrited by PLD team,
- pl translation Wojtek lusarczyk <wojtek@shadow.eu.org>.
